textures/unicedextra/water2
{
	qer_editorimage textures/uniced/water2.tga
	qer_trans .5
	q3map_lightmapBrightness 1.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/uniced/water3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scroll .025 .01
	}
	{ 
		map textures/uniced/water3.tga
		blendFunc GL_dst_color GL_zero
		tcmod scroll .025 .025
		rgbGen wave sin 1 0.05 0 0.02
	}
	{ 
		map textures/uniced/water2.tga
		blendFunc GL_dst_color GL_one
		tcmod scroll .025 .025
		rgbGen wave sin 1 0.1 0 0.03
	}
	{
		map $lightmap
		blendfunc filter	
		rgbgen identity
	}
}

textures/uniced/nonicytxt
{
    qer_editorimage textures/uniced/nonicytxt
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nonicytxt
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/uniced/icytxt
{
    qer_editorimage textures/uniced/icytxt
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/icytxt
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/uniced/leettxt
{
    qer_editorimage textures/uniced/leettxt
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/leettxt
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/uniced/superleettxt
{
    qer_editorimage textures/uniced/superleettxt
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/superleettxt
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}


textures/uniced/lava
{
    qer_editorimage textures/uniced/qer_lava.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 750
    q3map_tesssize 96
    cull disable
    {
        map textures/uniced/q3a_lava_bg.jpg
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/uniced/q3a_lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}


textures/uniced/cam_glass
{
    qer_editorImage textures/uniced/tex_portal.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/uniced/main_portal.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/uniced/sfx_portal.jpg
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen identityLighting
        tcMod rotate -15
        tcmod scroll -0.05 0.25
    }
}


textures/uniced/nooblearn1
{
    qer_editorimage textures/uniced/nooblearn1
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm detail
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nooblearn1
    }
}

textures/uniced/nooblearn2
{
    qer_editorimage textures/uniced/nooblearn2
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm detail
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nooblearn2
    }
}

textures/uniced/nooblearn3
{
    qer_editorimage textures/uniced/nooblearn3
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm detail
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nooblearn3
    }
}

textures/uniced/nooblearn4
{
    qer_editorimage textures/uniced/nooblearn4
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm detail
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nooblearn4
    }
}

textures/uniced/nooblearn5
{
    qer_editorimage textures/uniced/nooblearn5
    qer_trans 0.7
    surfaceparm nolightmap
    surfaceparm detail
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/nooblearn5
    }
}


textures/uniced/leet55
{
    qer_editorimage textures/uniced/leet55
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/leet55
        rgbgen wave sin 0.8 0.15 0 0.5
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
    }
}


textures/uniced/uberleet
{
    qer_editorimage textures/uniced/uberleet
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/uniced/uberleet_r
        rgbgen wave sin 0.5 0.5 0 0.2
        blendFunc add
        alphaFunc GE128
        depthWrite
    }
    {
        map textures/uniced/uberleet_b
        rgbgen wave sin 0.5 0.5 0.25 0.2
        blendFunc add
        alphaFunc GE128
        depthWrite
    }
    {
        map textures/uniced/uberleet_g
        rgbgen wave sin 0.5 0.5 0.5 0.2
        blendFunc add
        alphaFunc GE128
        depthWrite
    }
}











